libparanoid-perl_0.36-2_all.deb


Advertisement

Description

libparanoid-perl - module for safer, more secure programming

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libparanoid-perl
Package version: 0.36
Package release: 2
Package architecture: all
Package type: deb
Installed size: 429 B
Download size: 141.05 KB
Official Mirror: ftp.br.debian.org
Paranoid is a collection of Perl modules that began as simple utilities which perform things in a (debatably) safer and taint-safe manner. Since then it's also grown to include functionality that fit into the same framework and conventions of the original modules.

Alternatives

Requires

    Download

    Source package: libparanoid-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libparanoid-perl deb package:
      # sudo apt-get install libparanoid-perl

    Files

    • /usr/share/doc/libparanoid-perl/changelog.Debian.gz
    • /usr/share/doc/libparanoid-perl/changelog.gz
    • /usr/share/doc/libparanoid-perl/copyright
    • /usr/share/man/man3/Paranoid.3pm.gz
    • /usr/share/man/man3/Paranoid::Args.3pm.gz
    • /usr/share/man/man3/Paranoid::BerkeleyDB.3pm.gz
    • /usr/share/man/man3/Paranoid::Data.3pm.gz
    • /usr/share/man/man3/Paranoid::Debug.3pm.gz
    • /usr/share/man/man3/Paranoid::Filesystem.3pm.gz
    • /usr/share/man/man3/Paranoid::Glob.3pm.gz
    • /usr/share/man/man3/Paranoid::Input.3pm.gz
    • /usr/share/man/man3/Paranoid::Lockfile.3pm.gz
    • /usr/share/man/man3/Paranoid::Log.3pm.gz
    • /usr/share/man/man3/Paranoid::Log::Buffer.3pm.gz
    • /usr/share/man/man3/Paranoid::Log::Email.3pm.gz
    • /usr/share/man/man3/Paranoid::Log::File.3pm.gz
    • /usr/share/man/man3/Paranoid::Log::Syslog.3pm.gz
    • /usr/share/man/man3/Paranoid::Module.3pm.gz
    • /usr/share/man/man3/Paranoid::Network.3pm.gz
    • /usr/share/man/man3/Paranoid::Network::IPv4.3pm.gz
    • /usr/share/man/man3/Paranoid::Network::IPv6.3pm.gz
    • /usr/share/man/man3/Paranoid::Network::Socket.3pm.gz
    • /usr/share/man/man3/Paranoid::Process.3pm.gz
    • /usr/share/perl5/Paranoid.pm
    • /usr/share/perl5/Paranoid/Args.pm
    • /usr/share/perl5/Paranoid/BerkeleyDB.pm
    • /usr/share/perl5/Paranoid/Data.pm
    • /usr/share/perl5/Paranoid/Debug.pm
    • /usr/share/perl5/Paranoid/Filesystem.pm
    • /usr/share/perl5/Paranoid/Glob.pm
    • /usr/share/perl5/Paranoid/Input.pm
    • /usr/share/perl5/Paranoid/Lockfile.pm
    • /usr/share/perl5/Paranoid/Log.pm
    • /usr/share/perl5/Paranoid/Module.pm
    • /usr/share/perl5/Paranoid/Network.pm
    • /usr/share/perl5/Paranoid/Process.pm
    • /usr/share/perl5/Paranoid/Log/Buffer.pm
    • /usr/share/perl5/Paranoid/Log/Email.pm
    • /usr/share/perl5/Paranoid/Log/File.pm
    • /usr/share/perl5/Paranoid/Log/Syslog.pm
    • /usr/share/perl5/Paranoid/Network/IPv4.pm
    • /usr/share/perl5/Paranoid/Network/IPv6.pm
    • /usr/share/perl5/Paranoid/Network/Socket.pm

    Changelog

    2014-06-13 - Axel Beckert <abe@debian.org> libparanoid-perl (0.36-2) unstable; urgency=low * Team upload [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Axel Beckert ] * Add patch to no more use DB_CDB_ALLDB inside Paranoid::BerkeleyDB + Fixes FTBFS due to test-suite failures. (Closes: #743123) * Bump Standards-Version to 3.9.5 (no changes)

    2013-10-20 - Damyan Ivanov <dmn@debian.org> libparanoid-perl (0.36-1) unstable; urgency=low * Team upload [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Damyan Ivanov ] * Imported Upstream version 0.36 * Claim conformance with Policy 3.9.4

    2012-06-09 - gregor herrmann <gregoa@debian.org> libparanoid-perl (0.34-1) unstable; urgency=low * New upstream release. * debian/copyright: update to Copyright-Format 1.0. * Update years of upstream and packaging copyright. * Bump Standards-Version to 3.9.3 (no changes).

    2011-12-30 - Salvatore Bonaccorso <carnil@debian.org> libparanoid-perl (0.33-1) unstable; urgency=low * Team upload. * Imported Upstream version 0.33 * Add again perl as an alternative for libsocket6-perl. Add perl (>= 5.14) again as an alternative to libsocket6-perl in Build-Depends-Indep and Suggests. Upstream fixes detection of imported symbols in the local namespace.

    2011-12-22 - gregor herrmann <gregoa@debian.org> libparanoid-perl (0.32-1) unstable; urgency=low * New upstream release. * Remove fix-pod-spelling.patch, applied upstream. * Remove perl as an alternative for libsocket6-perl in B-D-I and Suggests, otherwise the new test fails (also seen on cpantesters).

    2011-12-10 - Salvatore Bonaccorso <carnil@debian.org> libparanoid-perl (0.31-1) unstable; urgency=low * Team upload. [ gregor herrmann ] * Fix typo in short description. Thanks to Vincent Blut for the bug report. (Closes: #639624) [ Salvatore Bonaccorso ] * Imported Upstream version 0.31 * Drop tests_as_root.patch. Upstream skips now the two tests. * Change (Build)-Depends(-Indep) on libsocket6-perl. Change the dependencies to an alternate dependency on perl (>= 5.14) | libsocket6-perl.

    2011-08-28 - gregor herrmann <gregoa@debian.org> libparanoid-perl (0.30-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * New upstream release.

    2011-04-24 - gregor herrmann <gregoa@debian.org> libparanoid-perl (0.29-1) unstable; urgency=low * New upstream release. * Bump debhelper compatibility level to 8. * Set Standards-Version to 3.9.2 (no changes). * Add libsocket6-perl to Build-Depends-Indep and Suggests.

    2011-02-12 - gregor herrmann <gregoa@debian.org> libparanoid-perl (0.27-2) unstable; urgency=low * New patch tests_as_root.patch: conditionally skip tests that fail when run as root; thanks to Moritz Muehlenhoff for the bug report (closes: #612776). * Add/update DEP3 headers to all patches. * debian/copyright: update license stanzas. * Set Standards-Version to 3.9.1 (no changes). * Remove versions from build dependencies, already satisfied in lenny.

    Advertisement
    Advertisement